import { funktionDoppelteInterpolation } from "#lib/Berechnungen/BedarfsausweisWohnen/funktionDoppelteInterpolation.js";

export function funktionKorrekturfaktorHilfsenergieErzeugungHolzhackSchnitzelT86(suchSpalte: number, datenZeile: number) {

    if (suchSpalte < 5) { suchSpalte = 5; }
    if (suchSpalte > 400) { suchSpalte = 400; }
    if (datenZeile < 0.1) { datenZeile = 0.1; }
    if (datenZeile > 1) { datenZeile = 1; }

const dataBox = [
    { SuchSpalte: [5], DatenSpalte: [2.9, 3.1, 3.3, 2.3, 1.8, 1.5, 1.4, 1.3, 1.2, 1.1] },
    { SuchSpalte: [10], DatenSpalte: [2.3, 2.2, 2.2, 1.8, 1.6, 1.5, 1.4, 1.3, 1.2, 1.2] },
    { SuchSpalte: [20], DatenSpalte: [1.7, 1.7, 1.7, 1.6, 1.5, 1.4, 1.4, 1.3, 1.3, 1.3] },
    { SuchSpalte: [40], DatenSpalte: [1.4, 1.4, 1.4, 1.4, 1.4, 1.4, 1.4, 1.3, 1.3, 1.3] },
    { SuchSpalte: [95], DatenSpalte: [1.2, 1.2, 1.2, 1.3, 1.3, 1.3, 1.3, 1.4, 1.4, 1.4] },
    { SuchSpalte: [270], DatenSpalte: [1.1, 1.1, 1.2, 1.2, 1.3, 1.3, 1.3, 1.4, 1.4, 1.5] },
    { SuchSpalte: [400], DatenSpalte: [1, 1.1, 1.1, 1.2, 1.2, 1.3, 1.3, 1.4, 1.4, 1.5] }
];
    
    const dataZeile = [ { DatenZeile: [0.1, 0.2, 0.3, 0.4, 0.5, 0.6, 0.7, 0.8, 0.9, 1] } ];

    const KorrekturfaktorHilfsenergieErzeugungHolzhackSchnitzel = funktionDoppelteInterpolation(suchSpalte, datenZeile, dataZeile, dataBox);

    return KorrekturfaktorHilfsenergieErzeugungHolzhackSchnitzel;

}